#include "PyF95_macros.inc"
subroutine setEqual( msg )    
  implicit none
  character (len=*), optional :: msg
 
  ! Delete to reset the pointers and re-associate
#   ifdef VERBOSE
      if (present(msg)) then
         print *,'"this" '//msg//' associated? ', associated(this % PYF95_REF_NAME)
      endif
#   endif

#ifdef __TYPE_BOUND
  derr = this % delete()
#else
  derr = delete(this)
#endif
  if (catch(derr)) then
     print *,'Error deleting to setup for assignment of '//msg//'! Error msg: '//derr%msg
     stop
  endif

  this % PYF95_REF_NAME => other % PYF95_REF_NAME
  XINCREF(this)

#   ifdef VERBOSE
      if (present(msg)) then
        print *,'The '//msg//' refCount is now: ', this % PYF95_REF_NAME % refCount
      endif
#   endif

end subroutine setEqual
