import unittest
import blockit.basegrammar as gram

class TestBaseGrammar(unittest.TestCase):
    
    def setUp(self):
        pass

    def tearDown(self):
        pass

    def testParseHex(self):
        """Checks to ensure proper parsing of hex values"""

        teststr = """
            0x01 axb 0xAA
            0xG1
        """

        ctr = 0
        for match,start,end in gram.HEX_NUM.scanString(teststr):
            ctr += 1
        self.failUnlessEqual(ctr, 2, "Found more matches than exist")


if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestBaseGrammar)
    unittest.TextTestRunner(verbosity=2).run(suite)
